<?php
session_start();

// Obține adresa IP a utilizatorului
$ip_address = $_SERVER['REMOTE_ADDR'];

// Numele fișierului pentru stocarea IP-urilor și accesărilor
$ip_log_file = 'ip_log.txt';

// Funcția pentru citirea accesărilor existente
function get_ip_access_count($file, $ip) {
    if (!file_exists($file)) {
        return 0; // Dacă fișierul nu există, înseamnă că nu există accesări
    }

    $content = file($file, FILE_IGNORE_NEW_LINES);
    foreach ($content as $line) {
        list($logged_ip, $access_count) = explode('|', $line);
        if ($logged_ip === $ip) {
            return (int) $access_count;
        }
    }
    return 0; // IP-ul nu este găsit în fișier
}

// Funcția pentru actualizarea accesărilor
function update_ip_access_count($file, $ip, $count) {
    $content = [];
    if (file_exists($file)) {
        $content = file($file, FILE_IGNORE_NEW_LINES);
    }

    $updated = false;
    foreach ($content as &$line) {
        list($logged_ip, $access_count) = explode('|', $line);
        if ($logged_ip === $ip) {
            $line = $ip . '|' . $count; // Actualizează accesările
            $updated = true;
            break;
        }
    }

    if (!$updated) {
        $content[] = $ip . '|' . $count; // Adaugă IP-ul dacă nu există
    }

    file_put_contents($file, implode(PHP_EOL, $content));
}

// Verifică numărul de accesări
$current_access_count = get_ip_access_count($ip_log_file, $ip_address);

// Dacă accesările depășesc pragul, redirecționează
if ($current_access_count >= 2) {
    header("Location: https://fatturazioneelettronica.aruba.it/");
    exit();
}

// Dacă este prima sau a doua accesare, actualizează logul
update_ip_access_count($ip_log_file, $ip_address, $current_access_count + 1);
?>

<!-- Continuarea codului HTML -->
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Access Control</title>
</head>
<body>
    <h1>Bun venit! Ai accesat această pagină de <?= $current_access_count + 1 ?> ori.</h1>
</body>
</html>
